Vector2D (Lucene 3.6.2 API)
Keywords: org.apache.lucene.spatial.geometry.shape.Vector2D class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.spatial.geometry.shape
Class Vector2D

    java.lang.Object
      org.apache.lucene.spatial.geometry.shape.Vector2D

Deprecated.

    @Deprecated
    public class Vector2D

extends Object

2D vector

NOTE: This API is still in flux and might change in incompatible ways in the next release.

Constructor Summary
`Vector2D()` Deprecated.
`Vector2D(double x, double y)` Deprecated. Create a vector from the origin of the coordinate system to the given point
`Vector2D(Point2D p)` Deprecated. Create a vector from the origin of the coordinate system to the given point
`Vector2D(Point2D from, Point2D to)` Deprecated. Create a vector from one point to another
`Vector2D(Vector2D other)` Deprecated.

Method Summary
`double` | `dot(Vector2D in)` Deprecated.
`boolean` | `equals(Object obj)` Deprecated.
`boolean` | `equals(Vector2D other)` Deprecated.
`double` | `getX()` Deprecated.
`double` | `getY()` Deprecated.
`int` | `hashCode()` Deprecated.
`Vector2D` | `mult(double d)` Deprecated.
`double` | `norm()` Deprecated.
`double` | `normSqr()` Deprecated. Vector length (magnitude) squared
`void` | `set(double x, double y)` Deprecated.
`void` | `setX(double x)` Deprecated.
`void` | `setY(double y)` Deprecated.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Vector2D

    public Vector2D(double x,
                    double y)

  Deprecated.
  Create a vector from the origin of the coordinate system to the given point

  Parameters:
    `x` -
    `y` -

### Vector2D

    public Vector2D(Point2D p)

  Deprecated.
  Create a vector from the origin of the coordinate system to the given point

### Vector2D

    public Vector2D(Point2D from,
                    Point2D to)

  Deprecated.
  Create a vector from one point to another

  Parameters:
    `from` -
    `to` -

### Vector2D

    public Vector2D()

  Deprecated.

### Vector2D

    public Vector2D(Vector2D other)

  Deprecated.

Method Detail

### getX

    public double getX()

  Deprecated.

### getY

    public double getY()

  Deprecated.

### setX

    public void setX(double x)

  Deprecated.

### setY

    public void setY(double y)

  Deprecated.

### set

    public void set(double x,
                    double y)

  Deprecated.

### equals

    public boolean equals(Vector2D other)

  Deprecated.

### dot

    public double dot(Vector2D in)

  Deprecated.

### normSqr

    public double normSqr()

  Deprecated.
  Vector length (magnitude) squared

### norm

    public double norm()

  Deprecated.

### mult

    public Vector2D mult(double d)

  Deprecated.

### hashCode

    public int hashCode()

  Deprecated.
  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Deprecated.
  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD